/**
  ******************************************************************************
  * @file    timer0.h
  * @author  ashuai0110
  * @version V1.0
  * @date    2024-01-12
  * @brief   timer0驱动,适用于PIC16(L)F1788_9
  *
  ******************************************************************************
  * @attention
  *
  ******************************************************************************
  */

#ifndef __TIMER0_H
#define __TIMER0_H

#ifdef __cplusplus
extern "C" {
#endif

/* 包含头文件-----------------------------------------------------------------*/
#include "common.h"

/* 宏定义---------------------------------------------------------------------*/
#define TIMER0_IT_FLAG                      TMR0IF /* timer0溢出中断标志 */

#define TIMER0_SET_INITIAL_VAL(val)         (TMR0 = (val)) /* 设置timer0计数初值 */
    
/* 类型定义-------------------------------------------------------------------*/

/* 全局变量-------------------------------------------------------------------*/

/* 函数原型-------------------------------------------------------------------*/
void timer0_init(uint8_t value);
void timer0_de_init(void);
void timer0_update_it_cmd(uint8_t state);


#ifdef __cplusplus
}
#endif

#endif /* timer0.h */